-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 21.x 
--   Created on:     20/12/2024  17:00                        
--   Issue:          Controle de Acesso - PORTAL DO GESTOR / PORTAL DO FUNCIONARIO

-- ============================================================
-- Table: GPE_CONTROLE_PERMISSAO
-- ============================================================

CREATE TABLE GPE_CONTROLE_PERMISSAO (
    NRCONTROLEPERMISSAO       NUMBER(30) NOT NULL,
    NRCONTROLEMODULO          NUMBER(30) NOT NULL,
    NRPERFILACESSO            NUMBER(30) NOT NULL,
    IDVISUALIZAR              VARCHAR2(1) DEFAULT 'N' NOT NULL,
    IDCRIAR                   VARCHAR2(1) DEFAULT 'N' NOT NULL,
    IDATUALIZAR               VARCHAR2(1) DEFAULT 'N' NOT NULL,
    IDDELETAR                 VARCHAR2(1) DEFAULT 'N' NOT NULL,
    IDATIVO                   VARCHAR2(1) DEFAULT 'S' NOT NULL,
    NRORG                     NUMBER(10) NOT NULL,
    DTINCLUSAO                DATE DEFAULT SYSDATE NOT NULL,
    DTULTATU                  DATE,
    NRORGINCLUSAO             NUMBER NOT NULL,
    CDOPERINCLUSAO            VARCHAR2(12),
    NRORGULTATU               NUMBER,
    CDOPERULTATU              VARCHAR2(12),

    -- 🔹 Primary Key: Garante que NRCONTROLEPERMISSAO é único dentro de NRORG
    CONSTRAINT PK_GPE_CONTROLE_PERMISSAO PRIMARY KEY (NRORG, NRCONTROLEPERMISSAO),

    -- 🔹 Unique Constraint: Garante que NRORG, NRPERFILACESSO e NRCONTROLEMODULO não se repitam
    CONSTRAINT UQ_GPE_CONTROLE_PERMISSAO UNIQUE (NRORG, NRPERFILACESSO, NRCONTROLEMODULO),

    -- 🔹 Foreign Key para módulo
    CONSTRAINT FK_GPE_CONTROLE_MODULO FOREIGN KEY (NRCONTROLEMODULO)
        REFERENCES GPE_CONTROLE_MODULO (NRCONTROLEMODULO)
        ON DELETE CASCADE,

    -- 🔹 Foreign Key para perfil de acesso
    CONSTRAINT FK_GPE_CONTROLE_PERFILACESSO FOREIGN KEY (NRPERFILACESSO, NRORG)
        REFERENCES PERFILACESSO (NRPERFILACESSO, NRORG)
);

CREATE INDEX IDX_GPE_CONTROLE_PERM_ORG_MODULO 
ON GPE_CONTROLE_PERMISSAO (NRORG, NRCONTROLEMODULO);


ALTER TABLE GPE_PARAMORG ADD IDATIVACONTROLEACESSO VARCHAR2(1) DEFAULT 'N';