-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 21.x 
--   Created on:     20/12/2024  17:00                        
--   Issue:          Controle de Acesso - PORTAL DO GESTOR / PORTAL DO FUNCIONARIO

-- ============================================================
-- Table: GPE_CONTROLE_MODULO
-- ============================================================

CREATE TABLE GPE_CONTROLE_MODULO (
    NRCONTROLEMODULO          NUMBER(30) NOT NULL,
    IDCONTROLEMODULO          VARCHAR2(255) NOT NULL,
    NOME                      VARCHAR2(255) NOT NULL,
    DESCRICAO                 VARCHAR2(4000) NOT NULL,
    PROJETO                   VARCHAR2(30) NOT NULL CHECK (PROJETO IN ('PF', 'PG')),
    DTINCLUSAO                DATE DEFAULT SYSDATE NOT NULL,
    DTULTATU                  DATE,
    IDATIVO                   VARCHAR2(1) DEFAULT 'S' NOT NULL,
    CONSTRAINT PK_GPE_CONTROLE_MODULO PRIMARY KEY (NRCONTROLEMODULO)
);

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (1, 'MODULO_DASHBOARD', 'Dashboard', 'Dashboard contendo os cards Página inicial do sistema', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (2, 'MODULO_DEMONSTRATIVO', 'Demonstrativo', 'Tela de demonstrativo de informações', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (3, 'MODULO_REGISTRO_PONTO_UNIDADE', 'Registro Ponto Unidade', 'Registro de ponto por unidade', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (4, 'MODULO_LANCAMENTO_DE_FOLHA', 'Lançamento de Folha', 'Tela para lançamento de folha de pagamento', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (5, 'MODULO_OCORRENCIAS', 'Ocorrências', 'Gestão de ocorrências de colaboradores', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (6, 'MODULO_PROGRAMACAO_DE_FERIAS', 'Programação de Férias', 'Controle de programação de férias', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (7, 'MODULO_SOLICITACAO', 'Solicitação', 'Tela de solicitação de serviços ou ações', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (8, 'MODULO_DOCUMENTOS', 'Documentos', 'Gestão de documentos internos e externos', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (9, 'MODULO_ADMISSAO', 'Admissão', 'Processo de admissão de colaboradores', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (10, 'MODULO_RELATORIO', 'Relatório', 'Relatórios gerenciais e operacionais', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (11, 'MODULO_QUADRO_GERAL_DE_VINCULOS', 'Quadro Geral de Vínculos', 'Visão geral dos vínculos dos colaboradores', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (12, 'MODULO_CAT_COMUNICADO_ACIDENTE_TRABALHO', 'CAT - Comunicado Acidente Trabalho', 'Gestão de acidentes de trabalho', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (13, 'MODULO_CONTROLE_DE_ENTREGA_DE_EPI', 'Controle de Entrega de EPI', 'Controle de entrega de Equipamentos de Proteção Individual', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (14, 'MODULO_ORGANOGRAMA_DA_ORGANIZACAO', 'Organograma da Organização', 'Exibição do organograma da organização', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (15, 'MODULO_RECRUTAMENTO_E_SELECAO', 'Recrutamento e Seleção', 'Processo de recrutamento e seleção de colaboradores', 'PG', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (16, 'MODULO_BIOMETRIA_FACIAL', 'Biometria Facial', 'Controle de acesso com biometria facial', 'PG', SYSDATE, 'S');

-- PF

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (17, 'MODULO_DASHBOARD', 'Dashboard', 'Dashboard contendo os cards Página inicial do sistema', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (18, 'MODULO_REGISTRO_PONTO', 'Registro de Ponto', 'Registro de ponto do colaborador', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (19, 'MODULO_ACOMPANHAMENTO_PONTO', 'Acompanhamento de Ponto', 'Acompanhamento de ponto do colaborador', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (20, 'MODULO_HISTORICO_PONTO', 'Histórico de Ponto', 'Histórico de marcações de ponto', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (21, 'MODULO_OCORRENCIA', 'Ocorrência', 'Registro de ocorrências relacionadas ao ponto', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (22, 'MODULO_DEMONSTRATIVO_PAGAMENTO', 'Demonstrativo de Pagamento', 'Visualização de demonstrativo de pagamento do colaborador', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (23, 'MODULO_MINHA_HISTORIA', 'Meus Dados', 'Visualização e edição de dados pessoais do colaborador', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (24,'MODULO_RELATORIO', 'Relatório', 'Relatórios gerenciais de ponto e pagamentos', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (25, 'MODULO_DOCUMENTOS', 'Documentos', 'Armazenamento e acesso a documentos do colaborador', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (26, 'MODULO_AVALIACOES', 'Avaliações', 'Avaliação de desempenho do colaborador', 'PF', SYSDATE, 'S');

INSERT INTO GPE_CONTROLE_MODULO (NRCONTROLEMODULO, IDCONTROLEMODULO, NOME, DESCRICAO, PROJETO, DTINCLUSAO, IDATIVO) 
VALUES (27, 'MODULO_ASSINATURA', 'Assinatura Digital', 'Assinatura digital de documentos e contratos', 'PF', SYSDATE, 'S');

